windowsInformationProtectionWipeAction を作成する

名前空間: microsoft.graph

大事な:/beta バージョンの Microsoft Graph API は変更される可能性があります。運用環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい windowsInformationProtectionWipeAction オブジェクトを 作成します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All, DeviceManagementApps.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All, DeviceManagementApps.ReadWrite.All

HTTP 要求

POST /deviceAppManagement/windowsInformationProtectionWipeActions

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、windowsInformationProtectionWipeAction オブジェクトの JSON 表現を指定します。

次の表は、windowsInformationProtectionWipeAction を作成するときに必要なプロパティを示しています。

プロパティ 説明
id String エンティティのキー。
status actionState ワイプ アクションの状態。 可能な値は、nonependingcanceledactivedonefailednotSupported です。
targetedUserId String このワイプ アクションの対象となる UserId。
targetedDeviceRegistrationId String このワイプ アクションの対象となる DeviceRegistrationId。
targetedDeviceName String 対象となるデバイス名。
targetedDeviceMacAddress String ターゲットデバイスの Mac アドレス。
lastCheckInDateTime DateTimeOffset このワイプ アクションの対象となったデバイスの最終チェックイン時刻。

応答

成功した場合、このメソッドは 201 Created 応答コードと応答本文の windowsInformationProtectionWipeAction オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceAppManagement/windowsInformationProtectionWipeActions
Content-type: application/json
Content-length: 412

{
  "@odata.type": "#microsoft.graph.windowsInformationProtectionWipeAction",
  "status": "pending",
  "targetedUserId": "Targeted User Id value",
  "targetedDeviceRegistrationId": "Targeted Device Registration Id value",
  "targetedDeviceName": "Targeted Device Name value",
  "targetedDeviceMacAddress": "Targeted Device Mac Address value",
  "lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 461

{
  "@odata.type": "#microsoft.graph.windowsInformationProtectionWipeAction",
  "id": "2620a996-a996-2620-96a9-202696a92026",
  "status": "pending",
  "targetedUserId": "Targeted User Id value",
  "targetedDeviceRegistrationId": "Targeted Device Registration Id value",
  "targetedDeviceName": "Targeted Device Name value",
  "targetedDeviceMacAddress": "Targeted Device Mac Address value",
  "lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00"
}